Skip to content
Start here

List PCAPs Bucket Ownership

client.magicTransit.pcaps.ownership.get(OwnershipGetParams { account_id } params, RequestOptionsoptions?): SinglePage<Ownership { id, destination_conf, filename, 3 more } >
GET/accounts/{account_id}/pcaps/ownership

List all buckets configured for use with PCAPs API.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Firewall Packet Captures - Write PCAPs APIMagic Firewall Packet Captures - Read PCAPs API
ParametersExpand Collapse
params: OwnershipGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
Ownership { id, destination_conf, filename, 3 more }
id: string

The bucket ID associated with the packet captures API.

maxLength32
minLength32
destination_conf: string

The full URI for the bucket. This field only applies to full packet captures.

filename: string

The ownership challenge filename stored in the bucket.

status: "pending" | "success" | "failed"

The status of the ownership challenge. Can be pending, success or failed.

One of the following:
"pending"
"success"
"failed"
submitted: string

The RFC 3339 timestamp when the bucket was added to packet captures API.

validated?: string

The RFC 3339 timestamp when the bucket was validated.

List PCAPs Bucket Ownership

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const ownership of client.magicTransit.pcaps.ownership.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(ownership.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "9883874ecac311ec8475433579a6bf5f",
      "destination_conf": "s3://pcaps-bucket?region=us-east-1",
      "filename": "ownership-challenge-9883874ecac311ec8475433579a6bf5f.txt",
      "status": "success",
      "submitted": "2020-01-01T08:00:00Z",
      "validated": "2020-01-01T08:00:00Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "9883874ecac311ec8475433579a6bf5f",
      "destination_conf": "s3://pcaps-bucket?region=us-east-1",
      "filename": "ownership-challenge-9883874ecac311ec8475433579a6bf5f.txt",
      "status": "success",
      "submitted": "2020-01-01T08:00:00Z",
      "validated": "2020-01-01T08:00:00Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}